org.apache.cxf.databinding

## Class AbstractDataBinding

- java.lang.Object
- - org.apache.cxf.databinding.AbstractDataBinding

- All Implemented Interfaces:
    DataBinding
  Direct Known Subclasses:
    AbstractInterceptorProvidingDataBinding, SourceDataBinding

      public abstract class AbstractDataBinding
      extends Object
      implements DataBinding

  Supply default implementations, as appropriate, for DataBinding.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mtomEnabled`
    `protected int` | `mtomThreshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDataBinding()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.ws.commons.schema.XmlSchema` | `addSchemaDocument(ServiceInfo serviceInfo, SchemaCollection col, Document d, String systemId)`
    `org.apache.ws.commons.schema.XmlSchema` | `addSchemaDocument(ServiceInfo serviceInfo, SchemaCollection col, Document d, String systemId, Collection<String> ids)`
    `protected static void` | `checkNamespaceMap(Map<String,String> namespaceMap)`
    `protected Bus` | `getBus()`
    `Map<String,String>` | `getContextualNamespaceMap()`
    `Map<String,String>` | `getDeclaredNamespaceMappings()` Provide explicit mappings to ReflectionServiceFactory.
    `int` | `getMtomThreshold()`
    `Map<String,String>` | `getNamespaceMap()`
    `Collection<DOMSource>` | `getSchemas()`
    `boolean` | `isMtomEnabled()`
    `void` | `setBus(Bus bus)` This call is used to set the bus.
    `void` | `setContextualNamespaceMap(Map<String,String> contextualNamespaceMap)`
    `void` | `setMtomEnabled(boolean enabled)`
    `void` | `setMtomThreshold(int threshold)` If the binding supports MTOM, set the size threshold for its use.
    `void` | `setNamespaceMap(Map<String,String> namespaceMap)` Set a map of from URI to prefix.
    `void` | `setSchemas(Collection<DOMSource> schemas)`
    `protected void` | `updateSchemaLocation(Element e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.databinding.DataBinding

      `createReader, createWriter, getSupportedReaderFormats, getSupportedWriterFormats, initialize`

- - ### Field Detail

    - #### mtomEnabled

          protected boolean mtomEnabled

    - #### mtomThreshold

          protected int mtomThreshold

  - ### Constructor Detail

    - #### AbstractDataBinding

          public AbstractDataBinding()

  - ### Method Detail

    - #### getBus

          protected Bus getBus()

    - #### setBus

          public void setBus(Bus bus)

      This call is used to set the bus. It should only be called once.
      Parameters:
        `bus` -

    - #### getSchemas

          public Collection<DOMSource> getSchemas()

    - #### setSchemas

          public void setSchemas(Collection<DOMSource> schemas)

    - #### addSchemaDocument

          public org.apache.ws.commons.schema.XmlSchema addSchemaDocument(ServiceInfo serviceInfo,
                                                                          SchemaCollection col,
                                                                          Document d,
                                                                          String systemId)

    - #### addSchemaDocument

          public org.apache.ws.commons.schema.XmlSchema addSchemaDocument(ServiceInfo serviceInfo,
                                                                          SchemaCollection col,
                                                                          Document d,
                                                                          String systemId,
                                                                          Collection<String> ids)

    - #### updateSchemaLocation

          protected void updateSchemaLocation(Element e)

    - #### getNamespaceMap

          public Map<String,String> getNamespaceMap()

      Returns:
        the namespaceMap (URI to prefix). This will be null if no particular namespace map has been set.

    - #### setNamespaceMap

          public void setNamespaceMap(Map<String,String> namespaceMap)

      Set a map of from URI to prefix. If possible, the data binding will use these prefixes on the wire.
      Parameters:
        `namespaceMap` - The namespaceMap to set.

    - #### getContextualNamespaceMap

          public Map<String,String> getContextualNamespaceMap()

    - #### setContextualNamespaceMap

          public void setContextualNamespaceMap(Map<String,String> contextualNamespaceMap)

    - #### getDeclaredNamespaceMappings

          public Map<String,String> getDeclaredNamespaceMappings()

      Provide explicit mappings to ReflectionServiceFactory. Return a set of mappings from namespace to prefix to allow bindings to control the prefixes.
      Specified by:
        `getDeclaredNamespaceMappings` in interface `DataBinding`
      Returns:
        the map, or null if there are none.

    - #### checkNamespaceMap

          protected static void checkNamespaceMap(Map<String,String> namespaceMap)

    - #### setMtomEnabled

          public void setMtomEnabled(boolean enabled)

      Specified by:
        `setMtomEnabled` in interface `DataBinding`

    - #### isMtomEnabled

          public boolean isMtomEnabled()

      Specified by:
        `isMtomEnabled` in interface `DataBinding`

    - #### getMtomThreshold

          public int getMtomThreshold()

      Specified by:
        `getMtomThreshold` in interface `DataBinding`

    - #### setMtomThreshold

          public void setMtomThreshold(int threshold)

      Description copied from interface: `DataBinding`
      If the binding supports MTOM, set the size threshold for its use. may be overridden by (e.g.) JAXWS configuration.
      Specified by:
        `setMtomThreshold` in interface `DataBinding`

Apache CXF